import { MimeType } from "../interfaces/file.interface";
/**
 * Represents the data for a file upload.
 */
export declare class FileData<ReturnType = string, SavePayloadType = void> {
    originalFileName: string;
    fileName: string;
    fileNameFull: string;
    encoding: string;
    mimetype: MimeType;
    fileExtension: string;
    fileSize: number;
    hash: string;
    buffer: Buffer;
    constructor(originalFileName: string, fileName: string, fileNameFull: string, encoding: string, mimetype: MimeType, fileExtension: string, fileSize: number, hash: string, buffer: Buffer);
    /**
     * Saves the file data to the specified location.
     * @param args the payload sent to the custom file saver
     * @returns the file path where the file was saved
     */
    save(args: SavePayloadType): ReturnType;
}
