import { ExecutionContext } from "@nestjs/common";
import { DefaultFileSaverOptions, IFileSaver } from "../interfaces/file.interface";
import { FileData } from "../classes/FileData";
/**
 * Default implementation of the IFileSaver interface.
 * This class is responsible for saving file data to the filesystem.
 *
 * @deprecated This class is deprecated. Use LocalFileSaver instead.
 * @see {@link LocalFileSaver}
 */
export declare class DefaultFileSaver implements IFileSaver {
    private readonly options?;
    /**
     * Constructs a new instance of the DefaultFileSaver class.
     * @param options - Optional configuration options for the file saver.
     */
    constructor(options?: DefaultFileSaverOptions);
    /**
     * Saves the provided file data to the specified file path.
     * Ensures the directory exists and writes the file buffer to the file path.
     * @param fileData - The file data to save.
     * @param context - The execution context, typically provided by NestJS.
     * @returns The file path where the file was saved.
     */
    save(fileData: FileData, context: ExecutionContext): string;
}
