"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MimeType = void 0;
/**
 * Enum for the mime types.
 */
var MimeType;
(function (MimeType) {
    MimeType["application/*"] = "application/*";
    MimeType["image/*"] = "image/*";
    MimeType["audio/*"] = "audio/*";
    MimeType["text/*"] = "text/*";
    MimeType["video/*"] = "video/*";
    MimeType["application/andrew-inset"] = "application/andrew-inset";
    MimeType["application/applixware"] = "application/applixware";
    MimeType["application/atom+xml"] = "application/atom+xml";
    MimeType["application/atomcat+xml"] = "application/atomcat+xml";
    MimeType["application/atomsvc+xml"] = "application/atomsvc+xml";
    MimeType["application/ccxml+xml"] = "application/ccxml+xml";
    MimeType["application/cdmi-capability"] = "application/cdmi-capability";
    MimeType["application/cdmi-container"] = "application/cdmi-container";
    MimeType["application/cdmi-domain"] = "application/cdmi-domain";
    MimeType["application/cdmi-object"] = "application/cdmi-object";
    MimeType["application/cdmi-queue"] = "application/cdmi-queue";
    MimeType["application/cu-seeme"] = "application/cu-seeme";
    MimeType["application/dash+xml"] = "application/dash+xml";
    MimeType["application/davmount+xml"] = "application/davmount+xml";
    MimeType["application/docbook+xml"] = "application/docbook+xml";
    MimeType["application/dssc+der"] = "application/dssc+der";
    MimeType["application/dssc+xml"] = "application/dssc+xml";
    MimeType["application/ecmascript"] = "application/ecmascript";
    MimeType["application/emma+xml"] = "application/emma+xml";
    MimeType["application/epub+zip"] = "application/epub+zip";
    MimeType["application/exi"] = "application/exi";
    MimeType["application/font-tdpfr"] = "application/font-tdpfr";
    MimeType["application/gml+xml"] = "application/gml+xml";
    MimeType["application/gpx+xml"] = "application/gpx+xml";
    MimeType["application/gxf"] = "application/gxf";
    MimeType["application/hyperstudio"] = "application/hyperstudio";
    MimeType["application/inkml+xml"] = "application/inkml+xml";
    MimeType["application/ipfix"] = "application/ipfix";
    MimeType["application/java-archive"] = "application/java-archive";
    MimeType["application/java-serialized-object"] = "application/java-serialized-object";
    MimeType["application/java-vm"] = "application/java-vm";
    MimeType["application/javascript"] = "application/javascript";
    MimeType["application/json"] = "application/json";
    MimeType["application/jsonml+json"] = "application/jsonml+json";
    MimeType["application/lost+xml"] = "application/lost+xml";
    MimeType["application/mac-binhex40"] = "application/mac-binhex40";
    MimeType["application/mac-compactpro"] = "application/mac-compactpro";
    MimeType["application/mads+xml"] = "application/mads+xml";
    MimeType["application/marc"] = "application/marc";
    MimeType["application/marcxml+xml"] = "application/marcxml+xml";
    MimeType["application/mathematica"] = "application/mathematica";
    MimeType["application/mathml+xml"] = "application/mathml+xml";
    MimeType["application/mbox"] = "application/mbox";
    MimeType["application/mediaservercontrol+xml"] = "application/mediaservercontrol+xml";
    MimeType["application/metalink+xml"] = "application/metalink+xml";
    MimeType["application/metalink4+xml"] = "application/metalink4+xml";
    MimeType["application/mets+xml"] = "application/mets+xml";
    MimeType["application/mods+xml"] = "application/mods+xml";
    MimeType["application/mp21"] = "application/mp21";
    MimeType["application/mp4"] = "application/mp4";
    MimeType["application/msword"] = "application/msword";
    MimeType["application/mxf"] = "application/mxf";
    MimeType["application/octet-stream"] = "application/octet-stream";
    MimeType["application/oda"] = "application/oda";
    MimeType["application/oebps-package+xml"] = "application/oebps-package+xml";
    MimeType["application/ogg"] = "application/ogg";
    MimeType["application/omdoc+xml"] = "application/omdoc+xml";
    MimeType["application/onenote"] = "application/onenote";
    MimeType["application/oxps"] = "application/oxps";
    MimeType["application/patch-ops-error+xml"] = "application/patch-ops-error+xml";
    MimeType["application/pdf"] = "application/pdf";
    MimeType["application/pgp-encrypted"] = "application/pgp-encrypted";
    MimeType["application/pgp-signature"] = "application/pgp-signature";
    MimeType["application/pics-rules"] = "application/pics-rules";
    MimeType["application/pkcs10"] = "application/pkcs10";
    MimeType["application/pkcs7-mime"] = "application/pkcs7-mime";
    MimeType["application/pkcs7-signature"] = "application/pkcs7-signature";
    MimeType["application/pkcs8"] = "application/pkcs8";
    MimeType["application/pkix-attr-cert"] = "application/pkix-attr-cert";
    MimeType["application/pkix-cert"] = "application/pkix-cert";
    MimeType["application/pkix-crl"] = "application/pkix-crl";
    MimeType["application/pkix-pkipath"] = "application/pkix-pkipath";
    MimeType["application/pls+xml"] = "application/pls+xml";
    MimeType["application/postscript"] = "application/postscript";
    MimeType["application/prs.cww"] = "application/prs.cww";
    MimeType["application/pskc+xml"] = "application/pskc+xml";
    MimeType["application/rdf+xml"] = "application/rdf+xml";
    MimeType["application/reginfo+xml"] = "application/reginfo+xml";
    MimeType["application/relax-ng-compact-syntax"] = "application/relax-ng-compact-syntax";
    MimeType["application/resource-lists+xml"] = "application/resource-lists+xml";
    MimeType["application/resource-lists-diff+xml"] = "application/resource-lists-diff+xml";
    MimeType["application/rls-services+xml"] = "application/rls-services+xml";
    MimeType["application/rss+xml"] = "application/rss+xml";
    MimeType["application/rtf"] = "application/rtf";
    MimeType["application/sbml+xml"] = "application/sbml+xml";
    MimeType["application/scvp-cv-request"] = "application/scvp-cv-request";
    MimeType["application/scvp-cv-response"] = "application/scvp-cv-response";
    MimeType["application/scvp-vp-request"] = "application/scvp-vp-request";
    MimeType["application/scvp-vp-response"] = "application/scvp-vp-response";
    MimeType["application/sdp"] = "application/sdp";
    MimeType["application/set-payment-initiation"] = "application/set-payment-initiation";
    MimeType["application/set-registration-initiation"] = "application/set-registration-initiation";
    MimeType["application/shf+xml"] = "application/shf+xml";
    MimeType["application/smil+xml"] = "application/smil+xml";
    MimeType["application/sparql-query"] = "application/sparql-query";
    MimeType["application/sparql-results+xml"] = "application/sparql-results+xml";
    MimeType["application/srgs"] = "application/srgs";
    MimeType["application/srgs+xml"] = "application/srgs+xml";
    MimeType["application/sru+xml"] = "application/sru+xml";
    MimeType["application/ssml+xml"] = "application/ssml+xml";
    MimeType["application/tei+xml"] = "application/tei+xml";
    MimeType["application/thraud+xml"] = "application/thraud+xml";
    MimeType["application/timestamped-data"] = "application/timestamped-data";
    MimeType["application/vnd.3gpp.pic-bw-large"] = "application/vnd.3gpp.pic-bw-large";
    MimeType["application/vnd.3gpp.pic-bw-small"] = "application/vnd.3gpp.pic-bw-small";
    MimeType["application/vnd.3gpp.pic-bw-var"] = "application/vnd.3gpp.pic-bw-var";
    MimeType["application/vnd.3gpp2.tcap"] = "application/vnd.3gpp2.tcap";
    MimeType["application/vnd.3m.post-it-notes"] = "application/vnd.3m.post-it-notes";
    MimeType["application/vnd.accpac.simply.aso"] = "application/vnd.accpac.simply.aso";
    MimeType["application/vnd.accpac.simply.imp"] = "application/vnd.accpac.simply.imp";
    MimeType["application/vnd.acucobol"] = "application/vnd.acucobol";
    MimeType["application/vnd.acucorp"] = "application/vnd.acucorp";
    MimeType["application/vnd.adobe.air-application-installer-package+zip"] = "application/vnd.adobe.air-application-installer-package+zip";
    MimeType["application/vnd.adobe.formscentral.fcdt"] = "application/vnd.adobe.formscentral.fcdt";
    MimeType["application/vnd.adobe.fxp"] = "application/vnd.adobe.fxp";
    MimeType["application/vnd.adobe.xdp+xml"] = "application/vnd.adobe.xdp+xml";
    MimeType["application/vnd.adobe.xfdf"] = "application/vnd.adobe.xfdf";
    MimeType["application/vnd.ahead.space"] = "application/vnd.ahead.space";
    MimeType["application/vnd.airzip.filesecure.azf"] = "application/vnd.airzip.filesecure.azf";
    MimeType["application/vnd.airzip.filesecure.azs"] = "application/vnd.airzip.filesecure.azs";
    MimeType["application/vnd.amazon.ebook"] = "application/vnd.amazon.ebook";
    MimeType["application/vnd.americandynamics.acc"] = "application/vnd.americandynamics.acc";
    MimeType["application/vnd.amiga.ami"] = "application/vnd.amiga.ami";
    MimeType["application/vnd.android.package-archive"] = "application/vnd.android.package-archive";
    MimeType["application/vnd.anser-web-certificate-issue-initiation"] = "application/vnd.anser-web-certificate-issue-initiation";
    MimeType["application/vnd.anser-web-funds-transfer-initiation"] = "application/vnd.anser-web-funds-transfer-initiation";
    MimeType["application/vnd.antix.game-component"] = "application/vnd.antix.game-component";
    MimeType["application/vnd.apple.installer+xml"] = "application/vnd.apple.installer+xml";
    MimeType["application/vnd.apple.mpegurl"] = "application/vnd.apple.mpegurl";
    MimeType["application/vnd.aristanetworks.swi"] = "application/vnd.aristanetworks.swi";
    MimeType["application/vnd.astraea-software.iota"] = "application/vnd.astraea-software.iota";
    MimeType["application/vnd.audiograph"] = "application/vnd.audiograph";
    MimeType["application/vnd.blueice.multipass"] = "application/vnd.blueice.multipass";
    MimeType["application/vnd.bmi"] = "application/vnd.bmi";
    MimeType["application/vnd.businessobjects"] = "application/vnd.businessobjects";
    MimeType["application/vnd.chemdraw+xml"] = "application/vnd.chemdraw+xml";
    MimeType["application/vnd.chipnuts.karaoke-mmd"] = "application/vnd.chipnuts.karaoke-mmd";
    MimeType["application/vnd.cinderella"] = "application/vnd.cinderella";
    MimeType["application/vnd.claymore"] = "application/vnd.claymore";
    MimeType["application/vnd.cloanto.rp9"] = "application/vnd.cloanto.rp9";
    MimeType["application/vnd.clonk.c4group"] = "application/vnd.clonk.c4group";
    MimeType["application/vnd.cluetrust.cartomobile-config"] = "application/vnd.cluetrust.cartomobile-config";
    MimeType["application/vnd.cluetrust.cartomobile-config-pkg"] = "application/vnd.cluetrust.cartomobile-config-pkg";
    MimeType["application/vnd.commonspace"] = "application/vnd.commonspace";
    MimeType["image/jpeg"] = "image/jpeg";
    MimeType["image/png"] = "image/png";
    MimeType["image/gif"] = "image/gif";
    MimeType["image/bmp"] = "image/bmp";
    MimeType["image/webp"] = "image/webp";
    MimeType["image/svg+xml"] = "image/svg+xml";
    MimeType["video/mp4"] = "video/mp4";
    MimeType["video/mpeg"] = "video/mpeg";
    MimeType["video/webm"] = "video/webm";
    MimeType["video/quicktime"] = "video/quicktime";
    MimeType["video/x-msvideo"] = "video/x-msvideo";
    MimeType["video/x-ms-wmv"] = "video/x-ms-wmv";
    MimeType["audio/mpeg"] = "audio/mpeg";
    MimeType["audio/ogg"] = "audio/ogg";
    MimeType["audio/wav"] = "audio/wav";
    MimeType["audio/webm"] = "audio/webm";
    MimeType["audio/midi"] = "audio/midi";
    MimeType["text/plain"] = "text/plain";
    MimeType["text/html"] = "text/html";
})(MimeType || (exports.MimeType = MimeType = {}));
//# sourceMappingURL=file.interface.js.map