"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsFileData = IsFileData;
const FileData_1 = require("../classes/FileData");
const class_validator_1 = require("class-validator");
/**
 * Validator constraint to check if the value is an instance of FileData or, if the `each` option is true, an array of instances of FileData.
 */
let IsFileDataConstraint = class IsFileDataConstraint {
    /**
     * Validates if the value is an instance of FileData or an array of instances of FileData when `each` option is true.
     * @param value - The value to validate.
     * @param args - The validation arguments containing constraints and other metadata.
     * @returns `true` if the value is valid, otherwise `false`.
     */
    validate(value, args) {
        const [option] = args.constraints;
        if (option?.each && Array.isArray(value)) {
            return value.every((item) => item instanceof FileData_1.FileData);
        }
        else {
            return value instanceof FileData_1.FileData;
        }
    }
    /**
     * Provides a default error message if the validation fails.
     * @param args - The validation arguments containing constraints and other metadata.
     * @returns The default error message.
     */
    defaultMessage(args) {
        const [option] = args.constraints;
        if (option?.each) {
            return `The value ${args.property} must be an array of instances of FileData`;
        }
        else {
            return `The value ${args.property} must be an instance of FileData`;
        }
    }
};
IsFileDataConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ async: false })
], IsFileDataConstraint);
/**
 * Decorator function to validate if a property is an instance of FileData or, if the `each` option is true, an array of instances of FileData.
 * @param validationOptions - Optional validation options to customize the validation behavior.
 * @returns A property decorator function.
 */
function IsFileData(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: validationOptions,
            constraints: [validationOptions],
            validator: IsFileDataConstraint,
        });
    };
}
//# sourceMappingURL=isFileData.decorator.js.map