import { ValidationOptions } from "class-validator";
/**
 * Decorator function to validate if the file size is within the maximum limit.
 * @param maxSize - The maximum file size in bytes.
 * @param validationOptions - Optional validation options to customize the validation behavior.
 * @returns A property decorator function.
 */
export declare function MaxFileSize(maxSize: number, validationOptions?: ValidationOptions): (object: object, propertyName: string) => void;
