import { ValidationOptions } from "class-validator";
/**
 * Decorator function to validate if the file size is above the minimum limit.
 * @param minSize - The minimum file size in bytes.
 * @param validationOptions - Optional validation options to customize the validation behavior.
 * @returns A property decorator function.
 */
export declare function MinFileSize(minSize: number, validationOptions?: ValidationOptions): (object: object, propertyName: string) => void;
